Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.74.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
79.74.0.0
Broadcast address
79.75.255.255
First usable
79.74.0.1
Last usable
79.75.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 4F4A0000 · Integer 1330249728 to 1330380799
Reverse DNS zones
74.79.in-addr.arpa
75.79.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.01001010.00000000.0000000079.74.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01001111.01001010.00000000.0000000079.74.0.0
Broadcast01001111.01001011.11111111.1111111179.75.255.255
Split into smaller subnets/22

79.74.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.74.0.0/2279.74.0.1 to 79.74.3.25479.74.3.2551,022
279.74.4.0/2279.74.4.1 to 79.74.7.25479.74.7.2551,022
379.74.8.0/2279.74.8.1 to 79.74.11.25479.74.11.2551,022
479.74.12.0/2279.74.12.1 to 79.74.15.25479.74.15.2551,022
579.74.16.0/2279.74.16.1 to 79.74.19.25479.74.19.2551,022
679.74.20.0/2279.74.20.1 to 79.74.23.25479.74.23.2551,022
779.74.24.0/2279.74.24.1 to 79.74.27.25479.74.27.2551,022
879.74.28.0/2279.74.28.1 to 79.74.31.25479.74.31.2551,022
979.74.32.0/2279.74.32.1 to 79.74.35.25479.74.35.2551,022
1079.74.36.0/2279.74.36.1 to 79.74.39.25479.74.39.2551,022
1179.74.40.0/2279.74.40.1 to 79.74.43.25479.74.43.2551,022
1279.74.44.0/2279.74.44.1 to 79.74.47.25479.74.47.2551,022
1379.74.48.0/2279.74.48.1 to 79.74.51.25479.74.51.2551,022
1479.74.52.0/2279.74.52.1 to 79.74.55.25479.74.55.2551,022
1579.74.56.0/2279.74.56.1 to 79.74.59.25479.74.59.2551,022
1679.74.60.0/2279.74.60.1 to 79.74.63.25479.74.63.2551,022
1779.74.64.0/2279.74.64.1 to 79.74.67.25479.74.67.2551,022
1879.74.68.0/2279.74.68.1 to 79.74.71.25479.74.71.2551,022
1979.74.72.0/2279.74.72.1 to 79.74.75.25479.74.75.2551,022
2079.74.76.0/2279.74.76.1 to 79.74.79.25479.74.79.2551,022
2179.74.80.0/2279.74.80.1 to 79.74.83.25479.74.83.2551,022
2279.74.84.0/2279.74.84.1 to 79.74.87.25479.74.87.2551,022
2379.74.88.0/2279.74.88.1 to 79.74.91.25479.74.91.2551,022
2479.74.92.0/2279.74.92.1 to 79.74.95.25479.74.95.2551,022
2579.74.96.0/2279.74.96.1 to 79.74.99.25479.74.99.2551,022
2679.74.100.0/2279.74.100.1 to 79.74.103.25479.74.103.2551,022
2779.74.104.0/2279.74.104.1 to 79.74.107.25479.74.107.2551,022
2879.74.108.0/2279.74.108.1 to 79.74.111.25479.74.111.2551,022
2979.74.112.0/2279.74.112.1 to 79.74.115.25479.74.115.2551,022
3079.74.116.0/2279.74.116.1 to 79.74.119.25479.74.119.2551,022
3179.74.120.0/2279.74.120.1 to 79.74.123.25479.74.123.2551,022
3279.74.124.0/2279.74.124.1 to 79.74.127.25479.74.127.2551,022
3379.74.128.0/2279.74.128.1 to 79.74.131.25479.74.131.2551,022
3479.74.132.0/2279.74.132.1 to 79.74.135.25479.74.135.2551,022
3579.74.136.0/2279.74.136.1 to 79.74.139.25479.74.139.2551,022
3679.74.140.0/2279.74.140.1 to 79.74.143.25479.74.143.2551,022
3779.74.144.0/2279.74.144.1 to 79.74.147.25479.74.147.2551,022
3879.74.148.0/2279.74.148.1 to 79.74.151.25479.74.151.2551,022
3979.74.152.0/2279.74.152.1 to 79.74.155.25479.74.155.2551,022
4079.74.156.0/2279.74.156.1 to 79.74.159.25479.74.159.2551,022
4179.74.160.0/2279.74.160.1 to 79.74.163.25479.74.163.2551,022
4279.74.164.0/2279.74.164.1 to 79.74.167.25479.74.167.2551,022
4379.74.168.0/2279.74.168.1 to 79.74.171.25479.74.171.2551,022
4479.74.172.0/2279.74.172.1 to 79.74.175.25479.74.175.2551,022
4579.74.176.0/2279.74.176.1 to 79.74.179.25479.74.179.2551,022
4679.74.180.0/2279.74.180.1 to 79.74.183.25479.74.183.2551,022
4779.74.184.0/2279.74.184.1 to 79.74.187.25479.74.187.2551,022
4879.74.188.0/2279.74.188.1 to 79.74.191.25479.74.191.2551,022
4979.74.192.0/2279.74.192.1 to 79.74.195.25479.74.195.2551,022
5079.74.196.0/2279.74.196.1 to 79.74.199.25479.74.199.2551,022
5179.74.200.0/2279.74.200.1 to 79.74.203.25479.74.203.2551,022
5279.74.204.0/2279.74.204.1 to 79.74.207.25479.74.207.2551,022
5379.74.208.0/2279.74.208.1 to 79.74.211.25479.74.211.2551,022
5479.74.212.0/2279.74.212.1 to 79.74.215.25479.74.215.2551,022
5579.74.216.0/2279.74.216.1 to 79.74.219.25479.74.219.2551,022
5679.74.220.0/2279.74.220.1 to 79.74.223.25479.74.223.2551,022
5779.74.224.0/2279.74.224.1 to 79.74.227.25479.74.227.2551,022
5879.74.228.0/2279.74.228.1 to 79.74.231.25479.74.231.2551,022
5979.74.232.0/2279.74.232.1 to 79.74.235.25479.74.235.2551,022
6079.74.236.0/2279.74.236.1 to 79.74.239.25479.74.239.2551,022
6179.74.240.0/2279.74.240.1 to 79.74.243.25479.74.243.2551,022
6279.74.244.0/2279.74.244.1 to 79.74.247.25479.74.247.2551,022
6379.74.248.0/2279.74.248.1 to 79.74.251.25479.74.251.2551,022
6479.74.252.0/2279.74.252.1 to 79.74.255.25479.74.255.2551,022
6579.75.0.0/2279.75.0.1 to 79.75.3.25479.75.3.2551,022
6679.75.4.0/2279.75.4.1 to 79.75.7.25479.75.7.2551,022
6779.75.8.0/2279.75.8.1 to 79.75.11.25479.75.11.2551,022
6879.75.12.0/2279.75.12.1 to 79.75.15.25479.75.15.2551,022
6979.75.16.0/2279.75.16.1 to 79.75.19.25479.75.19.2551,022
7079.75.20.0/2279.75.20.1 to 79.75.23.25479.75.23.2551,022
7179.75.24.0/2279.75.24.1 to 79.75.27.25479.75.27.2551,022
7279.75.28.0/2279.75.28.1 to 79.75.31.25479.75.31.2551,022
7379.75.32.0/2279.75.32.1 to 79.75.35.25479.75.35.2551,022
7479.75.36.0/2279.75.36.1 to 79.75.39.25479.75.39.2551,022
7579.75.40.0/2279.75.40.1 to 79.75.43.25479.75.43.2551,022
7679.75.44.0/2279.75.44.1 to 79.75.47.25479.75.47.2551,022
7779.75.48.0/2279.75.48.1 to 79.75.51.25479.75.51.2551,022
7879.75.52.0/2279.75.52.1 to 79.75.55.25479.75.55.2551,022
7979.75.56.0/2279.75.56.1 to 79.75.59.25479.75.59.2551,022
8079.75.60.0/2279.75.60.1 to 79.75.63.25479.75.63.2551,022
8179.75.64.0/2279.75.64.1 to 79.75.67.25479.75.67.2551,022
8279.75.68.0/2279.75.68.1 to 79.75.71.25479.75.71.2551,022
8379.75.72.0/2279.75.72.1 to 79.75.75.25479.75.75.2551,022
8479.75.76.0/2279.75.76.1 to 79.75.79.25479.75.79.2551,022
8579.75.80.0/2279.75.80.1 to 79.75.83.25479.75.83.2551,022
8679.75.84.0/2279.75.84.1 to 79.75.87.25479.75.87.2551,022
8779.75.88.0/2279.75.88.1 to 79.75.91.25479.75.91.2551,022
8879.75.92.0/2279.75.92.1 to 79.75.95.25479.75.95.2551,022
8979.75.96.0/2279.75.96.1 to 79.75.99.25479.75.99.2551,022
9079.75.100.0/2279.75.100.1 to 79.75.103.25479.75.103.2551,022
9179.75.104.0/2279.75.104.1 to 79.75.107.25479.75.107.2551,022
9279.75.108.0/2279.75.108.1 to 79.75.111.25479.75.111.2551,022
9379.75.112.0/2279.75.112.1 to 79.75.115.25479.75.115.2551,022
9479.75.116.0/2279.75.116.1 to 79.75.119.25479.75.119.2551,022
9579.75.120.0/2279.75.120.1 to 79.75.123.25479.75.123.2551,022
9679.75.124.0/2279.75.124.1 to 79.75.127.25479.75.127.2551,022
9779.75.128.0/2279.75.128.1 to 79.75.131.25479.75.131.2551,022
9879.75.132.0/2279.75.132.1 to 79.75.135.25479.75.135.2551,022
9979.75.136.0/2279.75.136.1 to 79.75.139.25479.75.139.2551,022
10079.75.140.0/2279.75.140.1 to 79.75.143.25479.75.143.2551,022
10179.75.144.0/2279.75.144.1 to 79.75.147.25479.75.147.2551,022
10279.75.148.0/2279.75.148.1 to 79.75.151.25479.75.151.2551,022
10379.75.152.0/2279.75.152.1 to 79.75.155.25479.75.155.2551,022
10479.75.156.0/2279.75.156.1 to 79.75.159.25479.75.159.2551,022
10579.75.160.0/2279.75.160.1 to 79.75.163.25479.75.163.2551,022
10679.75.164.0/2279.75.164.1 to 79.75.167.25479.75.167.2551,022
10779.75.168.0/2279.75.168.1 to 79.75.171.25479.75.171.2551,022
10879.75.172.0/2279.75.172.1 to 79.75.175.25479.75.175.2551,022
10979.75.176.0/2279.75.176.1 to 79.75.179.25479.75.179.2551,022
11079.75.180.0/2279.75.180.1 to 79.75.183.25479.75.183.2551,022
11179.75.184.0/2279.75.184.1 to 79.75.187.25479.75.187.2551,022
11279.75.188.0/2279.75.188.1 to 79.75.191.25479.75.191.2551,022
11379.75.192.0/2279.75.192.1 to 79.75.195.25479.75.195.2551,022
11479.75.196.0/2279.75.196.1 to 79.75.199.25479.75.199.2551,022
11579.75.200.0/2279.75.200.1 to 79.75.203.25479.75.203.2551,022
11679.75.204.0/2279.75.204.1 to 79.75.207.25479.75.207.2551,022
11779.75.208.0/2279.75.208.1 to 79.75.211.25479.75.211.2551,022
11879.75.212.0/2279.75.212.1 to 79.75.215.25479.75.215.2551,022
11979.75.216.0/2279.75.216.1 to 79.75.219.25479.75.219.2551,022
12079.75.220.0/2279.75.220.1 to 79.75.223.25479.75.223.2551,022
12179.75.224.0/2279.75.224.1 to 79.75.227.25479.75.227.2551,022
12279.75.228.0/2279.75.228.1 to 79.75.231.25479.75.231.2551,022
12379.75.232.0/2279.75.232.1 to 79.75.235.25479.75.235.2551,022
12479.75.236.0/2279.75.236.1 to 79.75.239.25479.75.239.2551,022
12579.75.240.0/2279.75.240.1 to 79.75.243.25479.75.243.2551,022
12679.75.244.0/2279.75.244.1 to 79.75.247.25479.75.247.2551,022
12779.75.248.0/2279.75.248.1 to 79.75.251.25479.75.251.2551,022
12879.75.252.0/2279.75.252.1 to 79.75.255.25479.75.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses